<?php
class BrewRecipe {
  function __construct() {
    $this->IsStarted  = FALSE;
    $this->aktrast    = 0;
    $this->sudid      = 0;
    $this->temp       = array();    // Temperatur der Rast
    $this->rastbeginn = array();    // Wann hat die Rast begonnen
    $this->dauer      = array();    // Dauer der Rast in Minuten
    $this->name       = array();    // Name der Rast
    $this->nachricht  = array();    // Meldung bei Ende der Rast
    $this->warten     = array();    // Soll am Ende der Rast gewartet werden?
    $this->bestaetigt = array();    // Genug gewartet?
    //$this->rastbeginn = date_create();

    // Default-Rezept anlegen
    $this->temp[0]      = 57;                                 // Einmaischen bei Temperatur
    $this->dauer[0]     = 0;                                  // gleich weiter nach dem Einmaischen
    $this->name[0]      = "Aufheizen zum Einmaischen";
    $this->nachricht[0] = 'Schrot rein';                      // Meldung bei Ende der Rast
    $this->warten[0]    = TRUE;                               // Soll am Ende der Rast gewartet werden?

    // Normale Rasten einstellen
    $this->temp[1]      = 57;
    $this->dauer[1]     = 15;
    $this->name[1]      = "Eiweissrast";
    $this->warten[1]    = FALSE;

    $this->temp[2]      = 63;
    $this->dauer[2]     = 35;
    $this->name[2]      = "Maltoserast";
    $this->warten[2]    = FALSE;

    $this->temp[3]      = 72;
    $this->dauer[3]     = 20;
    $this->name[3]      = "Verzuckerung";
    $this->nachricht[3] = 'Jodprobe';                         // Meldung bei Ende der Rast
    $this->warten[3]    = TRUE;

    // Abmaischen
    $this->temp[4]      = 78;                                 // Einmaischen bei Temperatur
    $this->dauer[4]     = 0;                                  // gleich weiter nach dem Einmaischen
    $this->name[4]      = "Aufheizen zum Abmaischen";
    $this->nachricht[4] = 'Alles aus';                        // Meldung bei Ende der Rast
    $this->warten[4]    = TRUE;                               // Soll am Ende der Rast gewartet werden?
  }

  function reset() {
    $this->IsStarted  = FALSE;
    $this->aktrast    = 0;
    $this->temp       = array();    // Temperatur der Rast
    $this->rastbeginn = array();    // Wann hat die Rast begonnen
    $this->dauer      = array();    // Dauer der Rast in Minuten
    $this->name       = array();    // Name der Rast
    $this->nachricht  = array();    // Meldung bei Ende der Rast
    $this->warten     = array();    // Soll am Ende der Rast gewartet werden?
    $this->bestaetigt = array();    // Genug gewartet?
  }
}

?>